smtLib-1.0.7: A library for working with the SMTLIB format.

Safe Haskell | Safe
Language | Haskell98

SMTLib1.QF_AUFBV

Synopsis

- tArray :: Integer -> Integer -> Sort
- select :: Term -> Term -> Term
- store :: Term -> Term -> Term -> Term

# Documentation

tArray :: Integer -> Integer -> Sort Source

'tArray i n' is an array indexed by bitvectors of widht `i`, and storing bitvectors of width `n`.

select :: Term -> Term -> Term Source

    select array index

store :: Term -> Term -> Term -> Term Source

    store array index value